var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component } from '@angular/core';
import { TreeViewState } from '../states/tree-view.state';
import { Store, Select } from '@ngxs/store';
import { Observable } from 'rxjs';
import { TreeViewService } from '../services/tree-view.service';
import { ObjectSelect } from '../states/tree-view.actions';
var TreeViewListComponent = /** @class */ (function () {
    function TreeViewListComponent(store, treeViewService) {
        this.store = store;
        this.treeViewService = treeViewService;
    }
    TreeViewListComponent.prototype.ngOnInit = function () { };
    TreeViewListComponent.prototype.objectSelect = function (object) {
        this.store.dispatch(new ObjectSelect(object));
    };
    TreeViewListComponent.decorators = [
        { type: Component, args: [{
                    selector: 'tree-view-list-component',
                    template: "\n    <div class=\"list-container\">\n        <ion-list>\n            <ion-grid class=\"table-grid\">\n                <ng-container *ngIf=\"objects$\">\n                    <ng-container *ngFor=\"let object of objects$ | async\">\n                        <a>\n                            <ion-row class=\"grid-item\" (click)=\"objectSelect(object)\" (dblclick)=\"showDirectory(object.name)\"\n                                    oncontextmenu=\"return false\" (contextmenu)=\"presentActionSheet()\">\n                                <ion-col col-7>\n                                {{ object.name }}\n                                </ion-col>\n                                <ion-col>\n                                {{ object.type }}\n                                </ion-col>\n                                <ion-col>\n                                </ion-col>\n                            </ion-row>\n                        </a>\n                    </ng-container>\n                </ng-container>\n            </ion-grid>\n        </ion-list>\n    </div>\n    ",
                    styles: ["\n    .list-container {\n        display: block;\n        height: 100%;\n        overflow-y: scroll;\n    }\n\n    .table-grid {\n        padding-right: 0px;\n    }\n    \n    .grid-item {\n        border-bottom: 1px solid #f2f2f2;\n        height: 40px;\n        align-items: center;\n    }\n    \n    .grid-item:hover {\n        cursor: pointer;\n        border: 2px solid #4d4d4d;\n        border-radius: 5px;\n        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.5);\n        transition: box-shadow 0.1s ease-in-out;\n    }\n    "],
                },] },
    ];
    /** @nocollapse */
    TreeViewListComponent.ctorParameters = function () { return [
        { type: Store },
        { type: TreeViewService }
    ]; };
    __decorate([
        Select(TreeViewState.getObjects),
        __metadata("design:type", Observable)
    ], TreeViewListComponent.prototype, "objects$", void 0);
    return TreeViewListComponent;
}());
export { TreeViewListComponent };
//# sourceMappingURL=tree-view-list.component.js.map